Bug 243099 - [DOCUMENTATION] FAQ: How to resume an interrupted upgrade
[DOCUMENTATION] FAQ: How to resume an interrupted upgrade
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: James Antill
http://docs.fedoraproject.org/yum/
:
Depends On:
Blocks: 218159
  Show dependency treegraph
 
Reported: 2007-06-07 06:30 EDT by Răzvan Sandu
Modified: 2014-01-21 17:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 16:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2007-06-07 06:30:15 EDT
Description of problem:

Hello,

The following situation is very common, so I consider it a FAQ.

Each update operation has two phases: an "Updating" phase and a "Cleaning" one.
For a bunch of packages, the Updating phase is done first (for all of them),
then the Cleaning phase (for all: clean, remove obsoletes).

Please suppose that the update is unexpectedly interrupted for some reason (say
it's performed remotely and the network connection goes down).

The yum documentation (Fedora Yum Guide, yum man pages) should describe a way to
cleanly resume an interrupted update in the following situations: 1. interrupted
during Updating phase (after resume, upgrade the remaining packages and clean
all of them) and 2. interrupted during Cleaning phase (resume cleaning of
remaining packages).

Regards,
Răzvan


Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
There is no documented way of resuming an interrupted upgrade.

Expected results:
A way of resuming an interrupted upgrade should exist.
The correct procedure of resuming should be documented.

Additional info:
Comment 1 Seth Vidal 2007-08-03 16:32:20 EDT
There isn't any way of doing that at the moment. 

closing cantfix

Note You need to log in before you can comment on or make changes to this bug.